# Class JreCompat

java.lang.Object
org.apache.catalina.tribes.util.JreCompat

Direct Known Subclasses:
  `Jre14Compat`

public class JreCompat extends Object
This is the base implementation class for JRE compatibility and provides an implementation based on Java 11. Sub-classes may extend this class and provide alternative implementations for later JRE versions

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JreCompat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static JreCompat`
  `getInstance()`
  `void`
  `setSocketoptionIpMulticastLoop(MulticastSocket socket, boolean enabled)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JreCompat

    public JreCompat()

- ## Method Details

  - ### getInstance

    public static JreCompat getInstance()

  - ### setSocketoptionIpMulticastLoop

    public void setSocketoptionIpMulticastLoop(MulticastSocket socket, boolean enabled) throws IOException
    Throws:
      `IOException`